## com.lowagie.text.rtf
Interface RtfField

All Known Implementing Classes:
  AbstractRtfField, GenericRtfField, RtfPageNumber, RtfTOC, RtfTOCEntry

Deprecated. Please move to the RtfWriter2 and associated classes.

    public interface RtfField

This interface should mark classes, that can be represented as RTF fields, such as pagenumber, toc entries and so on. ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2. This class is based on the RtfWriter-package from Mark Hall.

Version:
  $Revision: 1.19 $Date: 2006/09/12 12:16:35 $
Author:
  Steffen.Stundzig (Steffen.Stundzig@smb-tec.com)

Method Summary
`void` `write(RtfWriter writer, java.io.OutputStream out)` Deprecated. Writes an RTF field.

Method Detail

### write

    void write(RtfWriter writer,
               java.io.OutputStream out)
               throws java.io.IOException

  Deprecated.
  Writes an RTF field.

  Parameters:
    `writer` -
    `out` -
  Throws:
    `java.io.IOException`